GET /filter.php
Summary: Filter meals by ingredient, category, or area
Operation ID: filterMeals
Auth: unknown
Operation ID: filterMeals
Auth: unknown
Description
Filter meals by main ingredient, category, or area. Returns meals with id, name, and thumbnail only.
Parameters (3)
a
(string, query, optional)
Filter by area/cuisine (e.g., 'Italian')
c
(string, query, optional)
Filter by category (e.g., 'Seafood')
i
(string, query, optional)
Filter by main ingredient (e.g., 'chicken')
Examples (7)
| Title | Type | URL | Action |
|---|---|---|---|
| Filter by main ingredient | doc_extracted |
https://www.themealdb.com/api/json/v1/1/filter.php?i=chicken_breast |
|
| Filter by Category | doc_extracted |
https://www.themealdb.com/api/json/v1/1/filter.php?c=Seafood |
|
| Filter by Area | doc_extracted |
https://www.themealdb.com/api/json/v1/1/filter.php?a=Canadian |
|
| Filter meals by main ingredient | curl |
https://www.themealdb.com/api/json/v1/1/filter.php?i=chicken |
|
| Filter meals by category | curl |
https://www.themealdb.com/api/json/v1/1/filter.php?c=Seafood |
|
| Filter meals by cuisine area | curl |
https://www.themealdb.com/api/json/v1/1/filter.php?a=Italian |
|
| Filter meals by ingredient, category, or area | openapi-spec |
https://www.themealdb.com/api/json/v1/1/filter.php?i=chicken&c=Seafood&a=Italian |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:36:50.726529 | 200 | 135ms | |
| 2026-03-23 10:09:36.204852 | 200 | 114ms | |
| 2026-03-23 09:50:17.182926 | 200 | 119ms | |
| 2026-03-23 09:49:16.302055 | 200 | 120ms | |
| 2026-03-23 09:22:26.503072 | 200 | 143ms | |
| 2026-03-23 09:10:49.374511 | 200 | 130ms | |
| 2026-03-23 09:09:47.965229 | 200 | 108ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:10:49.374511 | 600d68797baa |
488a9295a156 |
| 2026-03-23 09:22:26.503072 | 488a9295a156 |
3ce1822b479a |
| 2026-03-23 09:49:16.302055 | 3ce1822b479a |
600d68797baa |
| 2026-03-23 09:50:17.182926 | 600d68797baa |
382b7f0dfedd |
| 2026-03-23 10:09:36.204852 | 382b7f0dfedd |
600d68797baa |
| 2026-03-23 10:36:50.726529 | 600d68797baa |
6678b265626e |